package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevSteamCurtainMapper;
import com.ruoyi.project.patrol.dev.domain.TDevSteamCurtain;
import com.ruoyi.project.patrol.dev.service.ITDevSteamCurtainService;

/**
 * 蒸汽幕Service业务层处理
 * 
 * @author admin
 * @date 2023-11-06
 */
@Service
public class TDevSteamCurtainServiceImpl implements ITDevSteamCurtainService 
{
    @Autowired
    private TDevSteamCurtainMapper tDevSteamCurtainMapper;

    /**
     * 查询蒸汽幕
     * 
     * @param id 蒸汽幕主键
     * @return 蒸汽幕
     */
    @Override
    public TDevSteamCurtain selectTDevSteamCurtainById(Long id)
    {
        return tDevSteamCurtainMapper.selectTDevSteamCurtainById(id);
    }

    /**
     * 查询蒸汽幕列表
     * 
     * @param tDevSteamCurtain 蒸汽幕
     * @return 蒸汽幕
     */
    @Override
    public List<TDevSteamCurtain> selectTDevSteamCurtainList(TDevSteamCurtain tDevSteamCurtain)
    {
        return tDevSteamCurtainMapper.selectTDevSteamCurtainList(tDevSteamCurtain);
    }

    /**
     * 新增蒸汽幕
     * 
     * @param tDevSteamCurtain 蒸汽幕
     * @return 结果
     */
    @Override
    public int insertTDevSteamCurtain(TDevSteamCurtain tDevSteamCurtain)
    {
        return tDevSteamCurtainMapper.insertTDevSteamCurtain(tDevSteamCurtain);
    }

    /**
     * 修改蒸汽幕
     * 
     * @param tDevSteamCurtain 蒸汽幕
     * @return 结果
     */
    @Override
    public int updateTDevSteamCurtain(TDevSteamCurtain tDevSteamCurtain)
    {
        return tDevSteamCurtainMapper.updateTDevSteamCurtain(tDevSteamCurtain);
    }

    /**
     * 批量删除蒸汽幕
     * 
     * @param ids 需要删除的蒸汽幕主键
     * @return 结果
     */
    @Override
    public int deleteTDevSteamCurtainByIds(Long[] ids)
    {
        return tDevSteamCurtainMapper.deleteTDevSteamCurtainByIds(ids);
    }

    /**
     * 删除蒸汽幕信息
     * 
     * @param id 蒸汽幕主键
     * @return 结果
     */
    @Override
    public int deleteTDevSteamCurtainById(Long id)
    {
        return tDevSteamCurtainMapper.deleteTDevSteamCurtainById(id);
    }
}
